### Method

# Gio Menu prepend

since: 2.32

#### Declaration [src]

    void
    g_menu_prepend (
      GMenu* menu,
      const gchar* label,
      const gchar* detailed_action
    )

#### Description [src]

Convenience function for prepending a normal menu item to the start of `menu`. Combine `g_menu_item_new()` and `g_menu_insert_item()` for a more flexible alternative.

Available since: 2.32

#### Parameters

`label`

  Type: `const gchar*`

  The section label, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`detailed_action`

  Type: `const gchar*`

  The detailed action string, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.